#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	nss-mdns
Version		:	0.15.1
Release		:	17.2.10.rel%{?dist}
Summary		:	glibc plugin for .local name resolution

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL
URL		:	https://github.com/avahi/nss-mdns/r

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	make
BuildRequires	:	gcc

Requires	:	avahi

#-----------------------------------------------------------------------------
%description
nss-mdns is a plugin for the GNU Name Service Switch (NSS)
functionality of the GNU C Library (glibc) providing
host name resolution via Multicast DNS (aka Zeroconf,
aka Apple Rendezvous, aka Apple Bonjour), effectively allowing
name resolution by common Unix/Linux programs in the
ad-hoc mDNS domain .local.
 
nss-mdns provides client functionality only, which means
that you have to run a mDNS responder daemon separately
from nss-mdns if you want to register the local host name
via mDNS (e.g. Avahi).

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.md NEWS.md ACKNOWLEDGEMENTS.md
%{_libdir}/libnss_mdns*.so.2

%post
if [ -z "`grep ^host /etc/nsswitch.conf | grep mdns`" ] ; then
  sed -i						\
  	-e "/^host/s/dns$/mdns4_minimal [NOTFOUND=return] dns/"	\
	/etc/nsswitch.conf
  fi

%preun
if [ "$1" = 0 ]; then
  sed -i						\
  	-e "s/mdns4_minimal \[NOTFOUND=return\] //"	\
	/etc/nsswitch.conf
  fi
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make} check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#-----------------------------------------------------------------------------
%changelog
